Class | Bio::Map::Marker
In: | lib/bio/map.rb
Parent: | Object

## Description

This class handles markers that are anchored to a Bio::Map::SimpleMap. It includes Bio::Map::ActsLikeMarker, and therefore supports the methods of that module.

## Usage

      marker_a = Bio::Map::Marker.new('marker_a')
      marker_b = Bio::Map::Marker.new('marker_b')

### Methods

new

### Included Modules

Bio::Map::ActsLikeMarker

### Attributes

mappings_as_marker | [RW] | Mappings
name | [RW] | Name of the marker

### Public Class methods

new(name)

Builds a new Bio::Map::Marker object

Arguments:

- name: name of the marker

Returns: | new Bio::Map::Marker object

[Source]

         # File lib/bio/map.rb, line 395
    395:       def initialize(name)
    396:         @name = name
    397:         @mappings_as_marker = Array.new
    398:       end

[Validate]